net.dontdrinkandroot.persistence.entity

## Class GeneratedLongIdEntity

- java.lang.Object
- - net.dontdrinkandroot.persistence.entity.AbstractEntity<Long>
  - - net.dontdrinkandroot.persistence.entity.GeneratedLongIdEntity

All Implemented Interfaces:
  Serializable, Entity<Long>

    @MappedSuperclass
    public class GeneratedLongIdEntity
    extends AbstractEntity<Long>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GeneratedLongIdEntity()`

### Method Summary

Methods
`Long` `getId()` Get the primary key of the entity.

### Methods inherited from class net.dontdrinkandroot.persistence.entity.AbstractEntity

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeneratedLongIdEntity

    public GeneratedLongIdEntity()

### Method Detail

#### getId

    public Long getId()

Description copied from interface: `Entity`
Get the primary key of the entity.